import groovy.transform.*

@TypeChecked
class MyClass {
  def method1(String str) {
    //str.shout() //ERROR due to type checking
  }
  
  @groovy.transform.TypeChecked(TypeCheckingMode.SKIP)
  def method2(String str) {
    println str.shout() //OK
  }  
}

String greet = "hello"
greet.metaClass.shout = { -> toUpperCase() }
new MyClass().method2(greet)